Glib::Param::Int64(3)

NAME
Glib::Param::Int64

HIERARCHY
  Glib::ParamSpec
  +----Glib::Param::Int64

DESCRIPTION
This page documents the extra accessors available for the signed 64 bit integer type paramspecs. On 32 bit machines and even on some 64 bit machines, perl really only supports 32 bit integers, so all of these methods convert the values to and from Perl strings if necessary.

HIERARCHY
  Glib::ParamSpec
  +----Glib::Param::Int64

METHODS

  int64 = $pspec->get_default_value

  int64 = $pspec->get_maximum

  int64 = $pspec->get_minimum

SEE ALSO
Glib, Glib::ParamSpec

COPYRIGHT
Copyright (C) 2003-2009 by the gtk2-perl team.

This software is licensed under the LGPL. See Glib for a full notice.